linuxgurugamer

[1.5.1, 1.6.1, 1.7.2] Flight Manager for Reusable Stages (FMRS), now with RecoveryController integration

Recommended Posts

Posted (edited)

@linuxgurugamer  I am trying to get FMRS working in 1.7.2,  it appears that it is not compatible with CKAN, so im trying to get it and the dependancies together manually..  no luck so far.  can you please link to everything required?  I also have mechjeb and for science installed.  hopefully that is not an issue.

Edited by maverick8717

Share this post


Link to post
Share on other sites
40 minutes ago, maverick8717 said:

@linuxgurugamer  I am trying to get FMRS working in 1.7.2,  it appears that it is not compatible with CKAN, so im trying to get it and the dependancies together manually..  no luck so far.  can you please link to everything required?  I also have mechjeb and for science installed.  hopefully that is not an issue.

You need to tell ckan to allow the 1.6 compatibility

Other than that, everything is listed in the OP

Share this post


Link to post
Share on other sites
Posted (edited)
5 hours ago, linuxgurugamer said:

You need to tell ckan to allow the 1.6 compatibility

Other than that, everything is listed in the OP

@linuxgurugamer 

I appreciate your response.  from what I see in the original post it also requires "click through blocker" and "toolbar controller".  I have installed both of those.  reading further in this thread is also seems that unblur is required.  I have also installed that.  still not working.  I will also try to work with the ckan folks to make an easier solution but do you know what else I could be doing wrong now?  I don't mean to cause you grief. and in fact I would be more than happy to donate towards this if you have something for that set up!!!  I have read through several hundred posts now and I am at a bit of a loss.

 

Edit:  I see you have a patreon, that weirdly does not list FMRS.  but if you fix me up, ill sign up! haha!  please help!

 

thanks

Mav.

Edited by maverick8717

Share this post


Link to post
Share on other sites
Posted (edited)

@maverick8717 Seem to work fine for me. Did you install ModuleManager as well? ClickThroughBlocker and ToolbarController are just the "new" dependencies since LGG took over the mod. ModuleManager is listed as a dependency close to the bottom of the OP ;)

When in doubt, it's usually easier to help when you provide a log file, you can follow the "Read this BEFORE asking for support" link in LGGs signature to find some instruction where to find the output_log :)

edit: Oh, and just to be sure: you know that FMRS will only show up in flight mode?

Edited by 4x4cheesecake

Share this post


Link to post
Share on other sites

 

1 hour ago, 4x4cheesecake said:

@maverick8717 Seem to work fine for me. Did you install ModuleManager as well? ClickThroughBlocker and ToolbarController are just the "new" dependencies since LGG took over the mod. ModuleManager is listed as a dependency close to the bottom of the OP ;)

When in doubt, it's usually easier to help when you provide a log file, you can follow the "Read this BEFORE asking for support" link in LGGs signature to find some instruction where to find the output_log :)

edit: Oh, and just to be sure: you know that FMRS will only show up in flight mode?

ok, I also installed module manager and still no luck...   here is my LOG:

 

https://www.dropbox.com/s/thctmu806rk713i/output_log.txt?dl=0

Share this post


Link to post
Share on other sites
20 minutes ago, maverick8717 said:

 

ok, I also installed module manager and still no luck...   here is my LOG:

 

https://www.dropbox.com/s/thctmu806rk713i/output_log.txt?dl=0

Yep, that helps, thanks :)

Looks like you grabbed the wrong version of FMRS:

Quote

C:\Program Files (x86)\Steam\steamapps\common\Kerbal Space Program\GameData\FMRS\FMRS.dll

The .dll file is supposed to be in "GameData\FMRS\Plugins\FMRS.dll".

Also, this .zip archive is in your GameData directory:

Quote

FMRS_v1_0_01.zip

but the latest version is 1.2.7.4. The outdated mod version cannot be loaded into the game so FMRS doesn't work for you.

I would suggest to grab the latest version from spacedock and reinstall the mod (delete the whole folder from your GameData directory and replace it with the new one).

One a side note: I've also noticed that there is an additional "GameData" folder around. It seem to be empty but you should check it and remove it. These additional GameData folders always look like a wrong installed mod in the log ;)

Share this post


Link to post
Share on other sites
3 hours ago, maverick8717 said:

Edit:  I see you have a patreon, that weirdly does not list FMRS.  but if you fix me up, ill sign up! haha!  please help!

My Patreon doesn't list most of my mods, too many of them.  Looks like @4x4cheesecake has helped you, he's very good

Share this post


Link to post
Share on other sites
3 hours ago, linuxgurugamer said:

My Patreon doesn't list most of my mods, too many of them.  Looks like @4x4cheesecake has helped you, he's very good

Love your work Jonathan, you sir have a new Patreon supporter.

I noticed today that almost a 1/3 of the mods I use are still usable because of you. Thank you :)

Share this post


Link to post
Share on other sites
3 hours ago, 7rex said:

Love your work Jonathan, you sir have a new Patreon supporter.

I noticed today that almost a 1/3 of the mods I use are still usable because of you. Thank you :)

Thank you

Share this post


Link to post
Share on other sites
3 hours ago, jaunco325 said:

I have problems using the mod and I do not even know if it is installed correctly.

http://prntscr.com/o7pf51

Is it normal for you not to see it on the screen?

I don't see the button for toolbar controller either, so you probably forgot to install the dependencies:

You may want to try CKAN, it will handle the dependencies and installs everything for you :)

Share this post


Link to post
Share on other sites

I just did it and it did not work either.

http://prntscr.com/o85h4v

I think the problem is in this mod. the post says to copy the folder "FMRS" in the "GameData" folder of the game, but the destarga has 3 folders called "FMRS". although I already tested with 3 and none worked.

I can not put the CKAN because my computer has little space on the disk to install more things.

Share this post


Link to post
Share on other sites
12 minutes ago, jaunco325 said:

the destarga has 3 folders called "FMRS"

the what? o_O

I don't see multiple FMRS folders, where did you download the mod?

Do you mind uploading a log file? That would be really helpful :)

If you don't know where to find it, take a look here:

 

 

Share this post


Link to post
Share on other sites
7 minutes ago, jaunco325 said:

download it from this link that is at the beginning of this post: https://github.com/linuxgurugamer/FMRS

https://prnt.sc/o85qa8

Well, you downloaded the repository not the actual mod. That's why it says "Source" in the OP:

Quote

It is the source code, not the source to grab the mod.

To be fair, you can download the mod on github as well but you have to switch to the release section:

Spoiler

F6hNQGB.png

 

wvtTe3n.png

Or use the spacedock link instead: https://spacedock.info/mod/1251/ Flight Manager for Reusable Stages (FMRS) Continued

Share this post


Link to post
Share on other sites
9 minutes ago, Ryan_Coates said:

i cant get it to work i don't have the gui it does not create a save file

Make sure you have all the dependencies installed:

  • ClickThroughBlocker
  • ToolbarController
  • UnBlur(needed by ToolbarController)
  •  

Share this post


Link to post
Share on other sites

What if i absolutely fail at taking the first stage back? I can’t then press ’recover vessel’ for obvious reasons.

Share this post


Link to post
Share on other sites

you've probably heard this a hundred times but when will this be updated to 1.7.3?

Share this post


Link to post
Share on other sites
10 hours ago, tmccreight651 said:

you've probably heard this a hundred times but when will this be updated to 1.7.3?

it's working in 1.7.3

Share this post


Link to post
Share on other sites

Is this mod compatible to mods that actively alter orbits of the bodies and vessels? I intend to use it together with Principia

Share this post


Link to post
Share on other sites

When using this mod, do you need to have probes on the stages to get parachutes to deploy properly from super high in the atmosphere?

Share this post


Link to post
Share on other sites
2 minutes ago, jpinard said:

When using this mod, do you need to have probes on the stages to get parachutes to deploy properly from super high in the atmosphere?

When using this mod, you need to land your stages yourselves. So yes.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.